slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSConvergedReasonView

Displays the reason an EPS solve converged or diverged.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSConvergedReasonView(EPS eps,PetscViewer viewer)

Collective

### Input Parameters

| eps | - the eigensolver context
| viewer | - the viewer to display the reason

### Options Database Keys

| -eps_converged_reason | - print reason for convergence, and number of iterations

### Note

To change the format of the output call PetscViewerPushFormat(viewer,format) before this call. Use PETSC_VIEWER_DEFAULT for the default, use PETSC_VIEWER_FAILED to only display a reason if it fails. The latter can be set in the command line with -eps_converged_reason ::failed

### See Also

EPSSetConvergenceTest(), EPSSetTolerances(), EPSGetIterationNumber(), EPSConvergedReasonViewFromOptions()

### Level

intermediate

### Location

src/eps/interface/epsview.c

### Examples

src/eps/tutorials/ex1f.F90
src/eps/tutorials/ex2.c
src/eps/tutorials/ex3.c
src/eps/tutorials/ex4.c
src/eps/tutorials/ex5.c
src/eps/tutorials/ex6f.F90
src/eps/tutorials/ex7.c
src/eps/tutorials/ex9.c
src/eps/tutorials/ex10.c
src/eps/tutorials/ex10f.F90
src/eps/tutorials/ex11.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages